this.name			= "ahruman-billboard-populate";
this.author			= "Jens Ayton";
this.version		= "1.0";


function addBillboards()
{
	// Decide how many there should be
	var count = 0.75 * system.government - 0.5 * system.economy;
	
	// Pseudo-random tweaks which stay the same in any given system
	if (system.ID > 200)  count += 1;
	if (system.ID > 50) count += 1;
	
	// Compensate for existing ones
	count -= system.countShipsWithRole("ahruman-billboard");
	
	while (count >= 1)
	{
		// 35% chance of being at witchpoint, 65% chance of being at station
		if (Math.random() <= 0.35)
		{
			system.legacy_addSystemShips("ahruman-billboard", 1, 0.0);
		}
		else
		{
			system.legacy_addSystemShips("ahruman-billboard", 1, 1.0);
		}
		count -= 1;
	}
}


this.willLaunch = addBillboards;
this.willExitWitchSpace = addBillboards;
